Bug 121086 - (USB SCSI)Kernel panic on boot when running Kudzu
(USB SCSI)Kernel panic on boot when running Kudzu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-16 18:24 EDT by Matt Dainty
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:20:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ksymoops'd output of kernel panic (3.15 KB, text/plain)
2004-04-16 18:25 EDT, Matt Dainty
no flags Details

  None (edit)
Description Matt Dainty 2004-04-16 18:24:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When Kudzu is run on bootup to detect any new hardware, it will
reliably segfault, causing a kernel panic, (attached ksymoops'd output).

The problem only seems to trigger on a reboot, booting from cold
appears to work with no problem.

It appears to be caused by my Mitsumi USB 7-in-1 card reader (details
here: http://qbik.ch/usb/devices/showdev.php?id=2223), as when the
problem occurs, /proc/scsi/scsi only lists the devices attached to my
Adaptec 29160 which is probed first before the USB device.

If I remove kudzu from being run on boot, there doesn't appear to be a
problem, all SCSI devices show up on every boot. If I try running
kudzu manually, I can't get it to fail either, it runs and exits normally.

I'm reporting this as a kernel bug as it shouldn't panic in any case.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2179.nptl

How reproducible:
Always

Steps to Reproduce:
1. Reboot machine
2. Wait for kudzu to run and segfault

    

Actual Results:  Examine dmesg after boot to find kernel panic,
examine /proc/scsi/scsi to confirm lack of USB SCSI devices

Expected Results:  Nothing obvious, /proc/scsi/scsi should show all
SCSI devices

Additional info:
Comment 1 Matt Dainty 2004-04-16 18:25:16 EDT
Created attachment 99500 [details]
ksymoops'd output of kernel panic
Comment 2 David Lawrence 2004-09-29 16:20:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.